%define intversion 1.4rc5

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>
Summary:	aalib - ascii art library
Name:		aalib
Version:	1.4.0
Release:	4
Epoch:		1
Provides:	aalib
License: 	GNU/GPL
URL:		http://aa-project.sourceforge.net/aalib/
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot

# Sources
Source0:	%{name}-%{intversion}.tar.gz

# Patches
Patch0:	aalib-1.4.0-aclocal.patch

# Manual build dependencies
BuildRequires:	slang

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: gpm-devel
BuildRequires: libX11-devel
BuildRequires: ncurses-devel

%description
AAlib is an portable ascii art GFX library.

%package	devel
Summary:	Development files for aalib
Group:		Development/Libraries
Requires:	aalib = %{epoch}:%{version}-%{release}

%description	devel
Header files for developing applications using aalib

%post
ldconfig
/sbin/install-info %{_infodir}/aalib.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
     /sbin/install-info --delete %{_infodir}/bison.info.gz %{_infodir}/dir
fi

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_datadir/info/*.gz
%_libdir/*.so.*

%files devel
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_includedir
%_aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Dec 27 2008 Christian Wasem <wasem@ccux-linux.de> 1:1.4.0-4
- fixed underquoted definition of AM_PATH_AALIB
* Sun May 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:1.4.0-3
- updated spec structure to latest CCux conventions
- still rc5
* Thu Jul 28 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.4-2
- split devel package
* Mon Jul 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.4-1
- Version update, rebuilt spec
* Sun Dec 26 2004 Christian Metzen <metzench@ccux-linux.de> 1.2-1
- Initial Release
